#pragma once
#include <map>
struct Fish_GoldenTurtleFishCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//最小分值
	int mMinimumScore;
	//最大分值
	int mMaximumScore;
	//话费分值
	int mTelephoneScore;
	//权重
	int mweight;
};

class Fish_GoldenTurtleFishCFG
{
public:
private:
	static std::auto_ptr<Fish_GoldenTurtleFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_GoldenTurtleFishCFGData* GetData(int ID);
	const std::map<int, Fish_GoldenTurtleFishCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GoldenTurtleFishCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GoldenTurtleFishCFGData> mMapData;
};
